GDB (xrefs)

Public Attributes | List of all members
compile_instance Struct Reference

`#include "compile-internal.h"`

## Public Attributes
struct gcc_base_context * | fe
enum compile_i_scope_types | scope
const struct block * | block
const char * | gcc_target_options
void(* | destroy )(struct compile_instance *)

## Detailed Description

Definition at line 36 of file compile-internal.h.

## Member Data Documentation

## ◆ block

const struct block* compile_instance::block

Definition at line 48 of file compile-internal.h.

Referenced by compile_to_object(), and gcc_convert_symbol().

## ◆ destroy

void(* compile_instance::destroy) (struct compile_instance *)

Definition at line 57 of file compile-internal.h.

Referenced by cleanup_compile_instance(), and new_compile_instance().

## ◆ fe

struct gcc_base_context* compile_instance::fe

Definition at line 40 of file compile-internal.h.

Referenced by compile_to_object(), delete_instance(), and new_compile_instance().

## ◆ gcc_target_options

const char* compile_instance::gcc_target_options

Definition at line 53 of file compile-internal.h.

Referenced by get_args(), and new_compile_instance().

## ◆ scope

enum compile_i_scope_types compile_instance::scope

Definition at line 44 of file compile-internal.h.

Referenced by c_compute_program(), compile_to_object(), and convert_one_symbol().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/compile/compile-internal.h